## kfilemetadata-kf5 5.68.0

=== debian/changelog ===
kfilemetadata-kf5 (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:57:11 +0000

kfilemetadata-kf5 (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:49:57 +0000

kfilemetadata-kf5 (5.66.0-0ubuntu2) focal; urgency=medium

  * No-change rebuild for exiv2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Feb 2020 20:21:12 +0100

kfilemetadata-kf5 (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:18:48 +0000

kfilemetadata-kf5 (5.65.0a-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:00:03 +0000

kfilemetadata-kf5 (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:24:10 +0000

kfilemetadata-kf5 (5.62.0-0ubuntu2) focal; urgency=medium

  * Sync Debian test changes:
    - Disable autopkgtest testsuite

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 09:32:06 +0000

kfilemetadata-kf5 (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:06:34 +0100

kfilemetadata-kf5 (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:42:04 +0100

kfilemetadata-kf5 (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:15:47 +0100

kfilemetadata-kf5 (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)
  * Update patches.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:18:57 +0100

kfilemetadata-kf5 (5.58.0-0ubuntu2) eoan; urgency=medium

  * Add debian/patches/fix-propertyinfotest.patch

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 May 2019 10:27:06 +0100

kfilemetadata-kf5 (5.58.0-0ubuntu1) eoan; urgency=medium

  * Drop upstream_propertyinfotest-force-en-locale.patch included in
    5.58
  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:39:51 +0100

kfilemetadata-kf5 (5.57.0-0ubuntu2) eoan; urgency=medium

  * Add upstream_propertyinfotest-force-en-locale.patch to fix
    autopkgtests for 5.57.0

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Apr 2019 06:54:10 +0100

kfilemetadata-kf5 (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:37:32 +0100
