## kfilemetadata-kf5 5.80.0

=== debian/changelog ===
kfilemetadata-kf5 (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:07:35 +0000

kfilemetadata-kf5 (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:21:29 +0000

kfilemetadata-kf5 (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Add libappimage-dev and libkf5config-dev build deps to enable
      building of the appimage extractor.
    - Fix ppc64el symbols for Ubuntu build.

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Jan 2021 20:40:32 +0000

kfilemetadata-kf5 (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:56:02 +0000

kfilemetadata-kf5 (5.77.0-2ubuntu2) hirsute; urgency=medium

  * Re-apply ppc64el symbols fix for Ubuntu builds.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Jan 2021 20:21:03 +0000

kfilemetadata-kf5 (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Add libappimage-dev and libkf5config-dev build deps to enable
      building of the appimage extractor.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Jan 2021 19:23:23 +0000

kfilemetadata-kf5 (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:09:59 +0000

kfilemetadata-kf5 (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * New upstream release (5.76.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:22:24 +0000
