=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                graphviz,
+               libappimage-dev (>= 0.1.10),
                libattr1-dev,
                libavcodec-dev (>= 57.48~),
                libavdevice-dev (>= 3.1~),
@@ -16,9 +17,10 @@
                libavutil-dev,
                libepub-dev,
                libexiv2-dev (>= 0.21),
-               libkf5archive-dev (>= 5.78.0~),
-               libkf5coreaddons-dev (>= 5.78.0~),
-               libkf5i18n-dev (>= 5.78.0~),
+               libkf5archive-dev (>= 5.80.0~),
+               libkf5config-dev (>= 5.80.0~),
+               libkf5coreaddons-dev (>= 5.80.0~),
+               libkf5i18n-dev (>= 5.80.0~),
                libpoppler-qt5-dev (>= 0.12.1),
                libpostproc-dev,
                libqt5sql5-sqlite:native,
@@ -28,11 +30,11 @@
                pkg-kde-tools (>= 0.15.18),
                qtbase5-dev (>= 5.14.0~),
                qttools5-dev,
-               qttools5-dev-tools
+               qttools5-dev-tools,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kfilemetadata
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kfilemetadata
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kfilemetadata.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfilemetadata
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfilemetadata
 Rules-Requires-Root: no
 
 Package: libkf5filemetadata-bin
@@ -61,7 +63,7 @@
 Depends: libkf5filemetadata3 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: libkf5filemetadata-doc (= ${source:Version})
 Multi-Arch: same
 Description: library for extracting file metadata
@@ -88,7 +90,7 @@
 Architecture: any
 Depends: libkf5filemetadata-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Multi-Arch: same
 Recommends: libkf5filemetadata-bin (= ${binary:Version})
 Description: library for extracting file metadata
